/****** Object:  Table [dbo].[THASTATABURCUDURUMU]    Script Date: 30.08.2018 10:44:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[THASTATABURCUDURUMU]') AND type in (N'U'))
BEGIN
	CREATE TABLE [dbo].[THASTATABURCUDURUMU](
		[TABURCUDURUMID] [int] NOT NULL,
		[ACIKLAMA] [nvarchar](150) NOT NULL,
		[TABURCUONAY] [bit] NOT NULL CONSTRAINT [DF_TTABURCUDURUMU_TABURCUONAY]  DEFAULT ((0)),
	 CONSTRAINT [PK_TTABURCUDURUMU] PRIMARY KEY CLUSTERED 
	(
		[TABURCUDURUMID] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
END

GO

IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[THASTATABURCUDURUMU]') AND type in (N'U'))
BEGIN
	IF NOT EXISTS (SELECT * FROM [THASTATABURCUDURUMU] WHERE TABURCUDURUMID=0)
		INSERT [dbo].[THASTATABURCUDURUMU] ([TABURCUDURUMID], [ACIKLAMA], [TABURCUONAY]) VALUES (0, N'Taburcu Onayı İste', 0)
	IF NOT EXISTS (SELECT * FROM [THASTATABURCUDURUMU] WHERE TABURCUDURUMID=1)	
		INSERT [dbo].[THASTATABURCUDURUMU] ([TABURCUDURUMID], [ACIKLAMA], [TABURCUONAY]) VALUES (1, N'Taburcu Onaylandı', 1)
	IF NOT EXISTS (SELECT * FROM [THASTATABURCUDURUMU] WHERE TABURCUDURUMID=2)
		INSERT [dbo].[THASTATABURCUDURUMU] ([TABURCUDURUMID], [ACIKLAMA], [TABURCUONAY]) VALUES (2, N'Taburcu Ödemesi Var', 0)
END



